=== debian/changelog ===
glmark2 (2:2022.06~git.3f1104d-1revyos1) unstable; urgency=medium

  * Rebuild for revyos

 -- Han Gao <gaohan@iscas.ac.cn>  Sun, 07 May 2023 17:18:44 +0800

glmark2 (2022.06~git.3f1104d-1) unstable; urgency=medium

  * Team upload.
  * New upstream snapshot.
  * Update standards version to 4.6.1, no changes needed.
  * Rules-Requires-Root: no

 -- Dylan Aïssi <daissi@debian.org>  Fri, 24 Jun 2022 13:13:14 +0200

glmark2 (2021.10~git.e359bb0-2) unstable; urgency=medium

  * Add Provides/Replaces to ease transition from Ubuntu packages.
  * Prefer pkgconf to pkg-config.
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Update standards version to 4.6.0, no changes needed.

 -- Andrej Shadura <andrew.shadura@collabora.co.uk>  Thu, 18 Nov 2021 11:13:03 +0100

glmark2 (2021.10~git.e359bb0-1) unstable; urgency=medium

  * New upstream snapshot.
  * Update the watch file.

 -- Andrej Shadura <andrew.shadura@collabora.co.uk>  Thu, 18 Nov 2021 10:51:58 +0100

glmark2 (2021.02+ds-1) unstable; urgency=low

  * Initial release. (Closes: #695849)
    Includes 2 patches from upstream to fix two issues, one related to wayland
    and one about creating two EGLDisplays which might cause issues on some
    platforms.

 -- Marius Vlad <marius.vlad@collabora.com>  Fri, 07 May 2021 13:29:55 +0200
