=== debian/control ===
Source: glmark2
Section: utils
Priority: optional
Standards-Version: 4.6.1
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Marius Vlad <marius.vlad@collabora.com>
Build-Depends: debhelper-compat (= 13),
               libdrm-dev,
               libgbm-dev,
               libgl1-mesa-dev,
               libgles2-mesa-dev,
               libjpeg-dev,
               libpng-dev,
               libudev-dev,
               libwayland-dev,
               libxcb1-dev,
               meson,
               pkgconf | pkg-config,
               python3,
               wayland-protocols,
Homepage: https://github.com/glmark2/glmark2
Vcs-Git: https://salsa.debian.org/games-team/glmark2.git
Vcs-Browser: https://salsa.debian.org/games-team/glmark2
Rules-Requires-Root: no

Package: glmark2-es2-x11
Architecture: any
Depends: glmark2-data (= ${source:Version}),
         libx11-6,
         ${misc:Depends},
         ${shlibs:Depends},
Provides: glmark2-es2
Replaces: glmark2-es2 (<< 2021.02+ds)
Description: OpenGL 2.0 benchmark suite
 glmark2 is a benchmark for OpenGL 2.0. It uses only the subset of
 the OpenGL 2.0 API that is compatible with OpenGL ES 2.0.
 glmark2 offers a suite of scenes that can be used to measure many
 aspects of OpenGL (ES) 2.0 performance.
 The way in which each scene is rendered is configurable through a set
 of options.
 .
 This package is intended only for the X11 platform. GLESv2 version.

Package: glmark2-x11
Architecture: any
Depends: glmark2-data (= ${source:Version}),
         libx11-6,
         ${misc:Depends},
         ${shlibs:Depends},
Provides: glmark2
Replaces: glmark2 (<< 2021.02+ds)
Description: OpenGL 2.0 benchmark suite
 glmark2 is a benchmark for OpenGL 2.0. It uses only the subset of
 the OpenGL 2.0 API that is compatible with OpenGL ES 2.0.
 glmark2 offers a suite of scenes that can be used to measure many
 aspects of OpenGL (ES) 2.0 performance.
 The way in which each scene is rendered is configurable through a set
 of options.
 .
 This package is intended only for the X11 platform. GL version.

Package: glmark2-es2-wayland
Architecture: any
Depends: glmark2-data (= ${source:Version}),
         libwayland-client0,
         libwayland-cursor0,
         ${misc:Depends},
         ${shlibs:Depends},
Description: OpenGL 2.0 benchmark suite
 glmark2 is a benchmark for OpenGL 2.0. It uses only the subset of
 the OpenGL 2.0 API that is compatible with OpenGL ES 2.0.
 glmark2 offers a suite of scenes that can be used to measure many
 aspects of OpenGL (ES) 2.0 performance.
 The way in which each scene is rendered is configurable through a set
 of options.
 .
 This package intended only for the wayland platform. GLESv2 version.

Package: glmark2-wayland
Architecture: any
Depends: glmark2-data (= ${source:Version}),
         libwayland-client0,
         libwayland-cursor0,
         ${misc:Depends},
         ${shlibs:Depends},
Description: OpenGL 2.0 benchmark suite
 glmark2 is a benchmark for OpenGL 2.0. It uses only the subset of
 the OpenGL 2.0 API that is compatible with OpenGL ES 2.0.
 glmark2 offers a suite of scenes that can be used to measure many
 aspects of OpenGL (ES) 2.0 performance.
 The way in which each scene is rendered is configurable through a set
 of options.
 .
 This package intended only for the wayland platform. GL version.

Package: glmark2-es2-drm
Architecture: any
Depends: glmark2-data (= ${source:Version}),
         libdrm2,
         ${misc:Depends},
         ${shlibs:Depends},
Description: OpenGL 2.0 benchmark suite
 glmark2 is a benchmark for OpenGL 2.0. It uses only the subset of
 the OpenGL 2.0 API that is compatible with OpenGL ES 2.0.
 glmark2 offers a suite of scenes that can be used to measure many
 aspects of OpenGL (ES) 2.0 performance.
 The way in which each scene is rendered is configurable through a set
 of options.
 .
 This package is intended only for the DRM stand-alone back-end. GLESv2 version.

Package: glmark2-drm
Architecture: any
Depends: glmark2-data (= ${source:Version}),
         libdrm2,
         ${misc:Depends},
         ${shlibs:Depends},
Description: OpenGL 2.0 benchmark suite
 glmark2 is a benchmark for OpenGL 2.0. It uses only the subset of
 the OpenGL 2.0 API that is compatible with OpenGL ES 2.0.
 glmark2 offers a suite of scenes that can be used to measure many
 aspects of OpenGL (ES) 2.0 performance.
 The way in which each scene is rendered is configurable through a set
 of options.
 .
 This package is intended only for the DRM stand-alone back-end. GL version.

Package: glmark2-data
Architecture: all
Depends: ${misc:Depends}
Recommends: glmark2-drm (>= ${source:Version}) |
	    glmark2-wayland (>= ${source:Version}) |
	    glmark2-x11 (>= ${source:Version}) |
	    glmark2-es2-wayland (>= ${source:Version}) |
	    glmark2-es2-drm (>= ${source:Version}) |
	    glmark2-es2-x11 (>= ${source:Version}),
Description: OpenGL (ES) 2.0 benchmark suite -- data files
 glmark2 is a benchmark for OpenGL (ES) 2.0. It uses only the subset of
 the OpenGL 2.0 API that is compatible with OpenGL ES 2.0.
 glmark2 offers a suite of scenes that can be used to measure many
 aspects of OpenGL (ES) 2.0 performance.
 The way in which each scene is rendered is configurable through a set
 of options.
 .
 This package provides data files.
