=== debian/watch ===
# https://salsa.debian.org/snippets/96
# uscan(1) configuration file.
version=4

opts="\
pgpmode=none,\
mode=git,gitmode=shallow,date=%Y.%m,pretty=%cd~git.%h,\
repack,compression=xz,\
" https://github.com/glmark2/glmark2.git \
  heads/master
