## glmark2 2023.01%2Bdfsg

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -Dflavors=x11-glesv2,x11-gl,wayland-glesv2,wayland-gl,drm-glesv2,drm-gl

override_dh_installchangelogs:
	dh_installchangelogs NEWS
