=== debian/changelog ===
glmark2 (2023.01+dfsg-3) unstable; urgency=medium

  * Enable all hardening flags
  * Standards-Version: 4.7.2 (no changes required)
  * Fix upstream-metadata-missing-repository
  * Simplify debian/watch

 -- Dylan Aïssi <daissi@debian.org>  Tue, 19 Aug 2025 10:14:07 +0200

glmark2 (2023.01+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Add missing dependencies (Closes: #1104979, LP: #2025684)
  * Switch from libgl1-mesa-dev to obsolete libgl-dev in Build-Deps
  * Remove obsolete pkg-config from Build-Deps
  * Add myself in Uploaders

 -- Dylan Aïssi <daissi@debian.org>  Fri, 09 May 2025 17:11:04 +0200

glmark2 (2023.01+dfsg-1) unstable; urgency=medium

  * Team upload.

  [ Dylan Aïssi ]
  * New upstream release.
  * Also track upstream tags with debian/watch
  * Refresh patch
  * Update standards version to 4.6.2, no changes needed

  [ Debian Janitor ]
  * Apply multi-arch hints. + glmark2-data: Add Multi-Arch: foreign.

 -- Dylan Aïssi <daissi@debian.org>  Wed, 08 Feb 2023 10:22:15 +0100
