=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: glmark2
 Section: utils
 Priority: optional
-Standards-Version: 4.6.1
+Standards-Version: 4.7.2
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders: Marius Vlad <marius.vlad@collabora.com>
+Uploaders: Marius Vlad <marius.vlad@collabora.com>,
+           Dylan Aïssi <daissi@debian.org>
 Build-Depends: debhelper-compat (= 13),
                libdrm-dev,
                libgbm-dev,
-               libgl1-mesa-dev,
+               libgl-dev,
                libgles2-mesa-dev,
                libjpeg-dev,
                libpng-dev,
@@ -15,7 +16,7 @@
                libwayland-dev,
                libxcb1-dev,
                meson,
-               pkgconf | pkg-config,
+               pkgconf,
                python3,
                wayland-protocols,
 Homepage: https://github.com/glmark2/glmark2
@@ -26,12 +27,13 @@
 Package: glmark2-es2-x11
 Architecture: any
 Depends: glmark2-data (= ${source:Version}),
+         libgles2,
          libx11-6,
          ${misc:Depends},
          ${shlibs:Depends},
 Provides: glmark2-es2
 Replaces: glmark2-es2 (<< 2021.02+ds)
-Description: OpenGL 2.0 benchmark suite
+Description: OpenGL 2.0 benchmark suite (X11 / GLESv2)
  glmark2 is a benchmark for OpenGL 2.0. It uses only the subset of
  the OpenGL 2.0 API that is compatible with OpenGL ES 2.0.
  glmark2 offers a suite of scenes that can be used to measure many
@@ -44,12 +46,13 @@
 Package: glmark2-x11
 Architecture: any
 Depends: glmark2-data (= ${source:Version}),
+         libgl1,
          libx11-6,
          ${misc:Depends},
          ${shlibs:Depends},
 Provides: glmark2
 Replaces: glmark2 (<< 2021.02+ds)
-Description: OpenGL 2.0 benchmark suite
+Description: OpenGL 2.0 benchmark suite (X11 / GL)
  glmark2 is a benchmark for OpenGL 2.0. It uses only the subset of
  the OpenGL 2.0 API that is compatible with OpenGL ES 2.0.
  glmark2 offers a suite of scenes that can be used to measure many
@@ -62,11 +65,12 @@
 Package: glmark2-es2-wayland
 Architecture: any
 Depends: glmark2-data (= ${source:Version}),
+         libgles2,
          libwayland-client0,
          libwayland-cursor0,
          ${misc:Depends},
          ${shlibs:Depends},
-Description: OpenGL 2.0 benchmark suite
+Description: OpenGL 2.0 benchmark suite (Wayland / GLESv2)
  glmark2 is a benchmark for OpenGL 2.0. It uses only the subset of
  the OpenGL 2.0 API that is compatible with OpenGL ES 2.0.
  glmark2 offers a suite of scenes that can be used to measure many
@@ -79,11 +83,12 @@
 Package: glmark2-wayland
 Architecture: any
 Depends: glmark2-data (= ${source:Version}),
+         libegl1,
          libwayland-client0,
          libwayland-cursor0,
          ${misc:Depends},
          ${shlibs:Depends},
-Description: OpenGL 2.0 benchmark suite
+Description: OpenGL 2.0 benchmark suite (Wayland / GL)
  glmark2 is a benchmark for OpenGL 2.0. It uses only the subset of
  the OpenGL 2.0 API that is compatible with OpenGL ES 2.0.
  glmark2 offers a suite of scenes that can be used to measure many
@@ -96,10 +101,11 @@
 Package: glmark2-es2-drm
 Architecture: any
 Depends: glmark2-data (= ${source:Version}),
+         libgles2,
          libdrm2,
          ${misc:Depends},
          ${shlibs:Depends},
-Description: OpenGL 2.0 benchmark suite
+Description: OpenGL 2.0 benchmark suite (DRM / GLESv2)
  glmark2 is a benchmark for OpenGL 2.0. It uses only the subset of
  the OpenGL 2.0 API that is compatible with OpenGL ES 2.0.
  glmark2 offers a suite of scenes that can be used to measure many
@@ -115,7 +121,7 @@
          libdrm2,
          ${misc:Depends},
          ${shlibs:Depends},
-Description: OpenGL 2.0 benchmark suite
+Description: OpenGL 2.0 benchmark suite (DRM / GL)
  glmark2 is a benchmark for OpenGL 2.0. It uses only the subset of
  the OpenGL 2.0 API that is compatible with OpenGL ES 2.0.
  glmark2 offers a suite of scenes that can be used to measure many
@@ -134,6 +140,7 @@
 	    glmark2-es2-wayland (>= ${source:Version}) |
 	    glmark2-es2-drm (>= ${source:Version}) |
 	    glmark2-es2-x11 (>= ${source:Version}),
+Multi-Arch: foreign
 Description: OpenGL (ES) 2.0 benchmark suite -- data files
  glmark2 is a benchmark for OpenGL (ES) 2.0. It uses only the subset of
  the OpenGL 2.0 API that is compatible with OpenGL ES 2.0.
