=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=auto" \
 https://github.com/glmark2/glmark2/tags .*/v?(\d.*)@ARCHIVE_EXT@

# opts="\
# pgpmode=none,\
# mode=git,gitmode=shallow,date=%Y.%m,pretty=%cd~git.%h,\
# repack,compression=xz,\
# " https://github.com/glmark2/glmark2.git \
#  heads/master
